
# chargement du paquet
	library('MassChroqR')
#
	setwd ('/tmp')

	#protPepSkyline <- read.mcq.skyline('/gorgone/pappso/abrf_2015/intensity/SkylineIntensities_na.tsv')

	protPepMcq <- read.mcqProtPep('/gorgone/pappso/abrf_2015/masschroqr/XIC_result_prot.tsv', '/gorgone/pappso/abrf_2015/masschroqr/XIC_result_pep.tsv')
# suppression des XICs dont la largeur est trop longue (temps de rétention en secondes. ici, 100 sec)
	metadata <- read.mcqMetadataOds('/gorgone/pappso/abrf_2015/masschroqr/metadata.ods')


summary(protPepMcq)

listSkyline <- mcq.get.protlist(protPepSkyline)

listMcq <- mcq.get.protlist(protPepMcq)





diff <- mcq.drop.protlist(listSkyline, listMcq)

summary (diff)

mcq.write.tsv(diff, "/tmp/diff.tsv")
#mcq.write.tsv(listMcq, "listMcq.tsv")





t <- table (protPepSkyline@proteins$protein)
summary (t[t == 1])

t1 <- t[t == 1]
length (t1)











proteins = read.table("/gorgone/pappso/abrf_2015/masschroqr/XIC_result_prot.tsv", header=T,sep="\t",dec=".", as.is = T, allowEscapes = FALSE, quote="")
proteins$accession=substr(proteins$protein_description,1,regexpr(" ",proteins$protein_description)-1)
length(unique(proteins$protein))

write.table(proteins,"/tmp/test2.tsv", quote= FALSE,  sep="\t", dec=".",row=F)
