library('MassChroqR')

setwd ('/tmp')

#if (file.exists("protpepni.RData")) {
#	load("protpepni.RData")
#} else {
	protPep <- read.mcqProtPep('/gorgone/pappso/moulon/users/Olivier/20150916_test_mcq_with_ni/XIC_result_prot.tsv', '/gorgone/pappso/moulon/users/Olivier/20150916_test_mcq_with_ni/XIC_result_pep.tsv')

	# import des métadata
	metadata <- read.mcq.metadata.ods('/gorgone/pappso/formation/Decembre2014/metadata.ods')

	# Ajout des métadata à l'objet protPep
	protPep <- mcq.merge.metadata(protPep, metadata)
#}

summary(protPep)
if (length(unique(protPep@peptides$peptiz)) == length(unique(protPep@peptides$peptiniid))) {
	print("peptiz == peptiniid max test is OK")
} else {
	error("peptiz != peptiniid max test is NOT OK")
}

max(protPep@peptides$ninumber)

protPep <- read.mcqProtPep('/gorgone/pappso/moulon/users/Olivier/20150916_test_mcq_with_ni/XIC_result_prot.tsv', '/gorgone/pappso/moulon/users/Olivier/20150916_test_mcq_with_ni/XIC_result_pep.tsv', method.ni="mono")

# import des métadata
metadata <- read.mcq.metadata.ods('/gorgone/pappso/formation/Decembre2014/metadata.ods')

# Ajout des métadata à l'objet protPep
protPep <- mcq.merge.metadata(protPep, metadata)

summary(protPep)
#}

if (length(unique(protPep@peptides$peptiz)) == length(unique(protPep@peptides$peptiniid))) {
	print("peptiz == peptiniid mono test is OK")
} else {
	error("peptiz != peptiniid mono test is NOT OK")
}


max(protPep@peptides$ninumber)